@import '../theme';

.bookThumb {
  width: 200px;
  height: 300px;
  background-color: $pale-grey;
  margin: 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  &__bookLink {
    display: block;
    padding-left: 10px;
    padding-right: 10px;
    margin-top: 20px;

    a {
      font-size: 20px;
      background: transparent;
      color: $greyish-brown-three;
      text-decoration: none;
      text-transform: capitalize;
      cursor: pointer;

      &:hover {
        color: $scarlet-two;
        text-decoration: none;
      }
    }
  }

  &__authorLink {
    display: block;
    padding-left: 5px;
    padding-right: 5px;
    margin-bottom: 30px;

    a {
      font-size: 14px;
      background: transparent;
      color: $greyish-brown-three;
      text-decoration: none;
      text-transform: capitalize;
      cursor: pointer;

      &:hover {
        color: $scarlet-two;
        text-decoration: none;
      }
    }
  }

  &__favoriteButton {
    box-sizing: border-box;

     svg {
      margin: 10px;
      width: 24px;
      height: 24px;
      display: block;
      color: $greyish-brown-three;
    }
  }

  .bookThumb_colored {
    color: #EA4335;
  }
}